This API creates a Quote by taking inputs - Stock Number, Customer ID, Lender, Credit Application ID, Type of Sale and Company Branch.
Generated from cURL: curl --location 'https://qa.emotivesoft.io/api/method/emotive_app.api.sales.create_wizard.create_quote'
--header 'Accept: application/json'
--header 'Content-Type: application/json; charset=UTF-8'
--header 'X-Frappe-CSRF-Token: e9f03601c8fb010bcf2dd5bd653681d0c3ef381365614c4f988775de'
--header 'Cookie: full_name=Santhosh Kumar; sid=e9eb5f1eaeba5c1b5e531e7648b964121a48890f9664fb0117e0a489; system_user=yes; user_id=[email protected]; user_image='
--data '{
"company_branch": "Emotive Auto Sales Inc. - 01",
"type_of_sale": "In House Finance",
"stock_no": "P00341",
"customer_id": "2025-00051",
"lender": "Lender for Automation",
"credit_application_id": "C-2025-07-00515",
"create_sales_contract": false
}'
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Example Response
{
"message": "2026-QTE-01-00781",
"_server_messages": "[\"{\\\"message\\\": \\\"With Installment Contracts and Solve For Term you must set the Sale Price, Rate, Payment, Frequency and Days to First Payment\\\", \\\"title\\\": \\\"Message\\\", \\\"indicator\\\": \\\"red\\\", \\\"raise_exception\\\": 1, \\\"__frappe_exc_id\\\": \\\"520e55c3a2c84c1547ca0c181aff6228067b4dbc9fceea1ba4a9f0d5\\\"}\"]"
}Response Structure
Top-Level Fields
-
message (string)
▸ Unique identifier of the newly created Quote
▸ Example:2026-QTE-01-00781 -
_server_messages (string)
▸ Serialized array of server-side messages returned by the backend
▸ Typically present when additional required data is missing or business rules are violatedMay include:
- validation errors
- warnings
- business rule messages
